[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'Sockets' (#rtl)

# sockaddr_un

Unix socket address record.

## Declaration

Source position: socketsh.inc line 153

`type sockaddr_un = packed record`
`sun_family: sa_family_t;` |  | Address family
`sun_path: array [0..107] of Char;` |  | File name
`end;`

## Description

sockaddr_un is used to store a UNIX socket addres for the FPBind, FPRecv and FPSend calls.

Documentation generated on: Feb 26 2014